"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createElasticsearchIndexTaskPlugin = exports.CreateElasticsearchIndexTaskPlugin = void 0;
var _plugins = require("@webiny/plugins");
class CreateElasticsearchIndexTaskPlugin extends _plugins.Plugin {
  static type = "elasticsearch.createElasticsearchIndexTaskPlugin";
  constructor(config) {
    super();
    this.name = config.name;
    this.config = config;
  }
  getIndexList(params) {
    return this.config.getIndexList(params);
  }
}
exports.CreateElasticsearchIndexTaskPlugin = CreateElasticsearchIndexTaskPlugin;
const createElasticsearchIndexTaskPlugin = config => {
  return new CreateElasticsearchIndexTaskPlugin(config);
};
exports.createElasticsearchIndexTaskPlugin = createElasticsearchIndexTaskPlugin;

//# sourceMappingURL=CreateElasticsearchIndexTaskPlugin.js.map